> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/dsx-air/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/dsx-air/_mcp/server.

# List billing records for an NGC organization

GET https://api.dsx-air.nvidia.com/api/v3/billing-records/

Review detailed information about billing usage data over a given time period for running simulations. The actual compute hours consumed per simulation during the specified period will be reflected in the `sim_compute_hours_consumed_for_period` field, and the total compute hours consumed for the entire run of that simulation will be reflected in the `sim_compute_hours_consumed` field.

**Required role:** `air_org_admin`

Reference: https://docs.nvidia.com/dsx-air/api-reference/billing/api-v-3-billing-records-list

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Query parameters

- `billing_ended_at` (datetime, optional) — Filter by when this billing window ended. A date-only value (YYYY-MM-DD) matches all records that ended on that calendar day. A full datetime matches that exact timestamp.
- `billing_ended_at_isnull` (boolean, optional) — Filter by whether the billing record has an end time.
- `billing_started_at` (datetime, optional) — Filter by when this billing window began. A date-only value (YYYY-MM-DD) matches all records that began on that calendar day. A full datetime matches that exact timestamp.
- `created` (datetime, optional) — Filter by when the record was created. A date-only value (YYYY-MM-DD) matches all records on that calendar day. A full datetime matches that exact timestamp.
- `fleet_id` (string, optional) — Filter by the fleet ID running the sim.
- `fleet_name` (string, optional) — Filter by the fleet name running the sim.
- `id` (string, optional) — Filter by billing record ID.
- `limit` (integer, optional) — Number of results to return per page.
- `modified` (datetime, optional) — Filter by when the record was last modified. A date-only value (YYYY-MM-DD) matches all records on that calendar day. A full datetime matches that exact timestamp.
- `ngc_org_name` (string, optional) — Filter by the NGC organization name of the billed organization.
- `offset` (integer, optional) — The initial index from which to return the results.
- `ordering` (enum, optional) — Order objects by field. Prefix with `-` for descending order.
  - Allowed values: `-billing_ended_at`, `-billing_started_at`, `-created`, `-fleet_name`, `-modified`, `-ngc_org_name`, `-org_display_name`, `-org_is_banned`, `-sim_compute_hours_consumed`, `-sim_compute_hours_consumed_for_period`, `-sim_compute_hours_rate`, `-sim_cpu`, `-sim_creator`, `-sim_memory`, `-sim_name`, `-sim_owner`, `-sim_storage`, `billing_ended_at`, `billing_started_at`, `created`, `fleet_name`, `modified`, `ngc_org_name`, `org_display_name`, `org_is_banned`, `sim_compute_hours_consumed`, `sim_compute_hours_consumed_for_period`, `sim_compute_hours_rate`, `sim_cpu`, `sim_creator`, `sim_memory`, `sim_name`, `sim_owner`, `sim_storage`
- `org_is_banned` (boolean, optional) — Filter by whether the organization is banned.
- `period_end` (datetime, optional) — Specify the end of a window to filter billing records. Example: 2026-01-31T23:59:59Z
- `period_start` (datetime, optional) — Specify the start of a window to filter billing records. Example: 2026-01-01T00:00:00Z
- `run_id` (string, optional) — Filter by the run ID the billing record corresponds to.
- `search` (string, optional) — Search by `sim_name`, `simulation_uuid`, `sim_owner`, `billing_started_at`, `billing_ended_at`, `sim_compute_hours_rate`, `sim_compute_hours_consumed`, `sim_compute_hours_consumed_for_period`, `sim_cpu`, `sim_memory`, or `sim_storage`.
- `sim_compute_hours_consumed` (double, optional) — Filter by total compute hours consumed.
- `sim_compute_hours_consumed_for_period` (double, optional) — Filter by compute hours consumed for the requested period.
- `sim_compute_hours_rate` (float, optional) — Filter by compute-hours rate applied while the sim was running.
- `sim_cpu` (integer, optional) — Filter by total CPU allocated across all nodes while the sim was running.
- `sim_creator` (string, optional) — Filter by creator of the simulation.
- `sim_memory` (integer, optional) — Filter by total memory (MiB) allocated across all nodes while the sim was running.
- `sim_name` (string, optional) — Filter by simulation name.
- `sim_owner` (string, optional) — Filter by owner of the simulation. Same as the creator unless the sim is assigned to someone else.
- `sim_storage` (integer, optional) — Filter by total storage (GB) allocated across all nodes while the sim was running.
- `simulation_uuid` (string, optional) — Filter by simulation ID.

## Response

### 200

- `count` (integer, required)
- `results` (list of object, required)
  - `id` (string, required)
  - `created` (datetime, required)
  - `modified` (datetime, required)
  - `org_id` (string, required, nullable) — Org id of the billed organization.
  - `org_display_name` (string, required) — Display name of the billed organization.
  - `org_nca_id` (string, required) — NCA ID of the billed organization.
  - `ngc_org_name` (string, required) — NGC organization name for billing.
  - `org_is_banned` (boolean, required) — Whether the billed organization is banned.
  - `simulation_uuid` (string, required) — Simulation id.
  - `sim_cpu` (integer, required) — Total CPU allocated across all nodes while the sim was running.
  - `sim_memory` (integer, required) — Total memory (MiB) allocated across all nodes while the sim was running.
  - `sim_storage` (integer, required) — Total storage (GB) allocated across all nodes while the sim was running.
  - `sim_compute_hours_rate` (double, required) — Compute-hours rate applied while the sim was running.
  - `sim_compute_hours_consumed` (double, required, nullable) — Compute hours for this run: full interval when stopped, or elapsed through now when the run is still active (billing_ended_at is null).
  - `sim_compute_hours_consumed_for_period` (double, required) — Compute hours consumed during the overlap of the sim billing interval and the query param period.
  - `billing_started_at` (datetime, required) — When this billing period began and the associated org started to pay to run the simulation at the associated `sim_compute_hours_rate`.
  - `sim_name` (string, optional) — Simulation name.
  - `sim_creator` (string, optional) — Creator of the sim.
  - `sim_owner` (string, optional) — Owner of the sim. Same as the creator unless sim is assigned to someone else.
  - `run_id` (string, optional, nullable) — Run id the billing record corresponds to. Null when the run cannot be resolved (e.g. simulation deleted).
  - `billing_ended_at` (datetime, optional, nullable) — When this billing period ended and the associated org stopped getting charge for the current run of this simulation.
  - `fleet_id` (string, optional, nullable) — Id of the fleet running the sim.
  - `fleet_name` (string, optional) — Name of the fleet running the sim.
- `next` (string, optional, nullable)
- `previous` (string, optional, nullable)

## Errors

### 400 Bad Request Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `type` (enum, required) — Specific type of a 400 error. * `PROTECTED` - Instance may not be deleted as it is being referenced by other instances. * `VALIDATION` - Validation errors encountered during payload processing.
  - Allowed values: `PROTECTED`, `VALIDATION`
- `protected_instances` (list of object, optional) — Instances which bar the current instance from being deleted. Only defined when `type` is set to `PROTECTED`.
  - `id` (string, required) — ID of the instance.
  - `type` (string, required) — Type of the instance.
- `validation_errors` (map from string to list of object or object or map from string to any or list of object, optional) — Validation errors encountered during payload processing. Only defined when `type` is set to `VALIDATION`.

### 403 Forbidden Error

- `detail` (string, required) — Description of an error.
- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.

### 500 Internal Server Error

- `request_id` (string, required, nullable) — ID assigned to the request which encountered the error. Should be provided when opening a support case.
- `code` (string, required) — Error code which identifies the error. Should be provided when opening a support case.
- `detail` (string, optional, default: An unexpected error has occurred. Please contact NVIDIA Air support for further assistance.) — Description of an error.

## Examples

**Response**

```json
{
  "count": 123,
  "results": [
    {
      "id": "string",
      "created": "2024-01-15T09:30:00Z",
      "modified": "2024-01-15T09:30:00Z",
      "org_id": "string",
      "org_display_name": "string",
      "org_nca_id": "string",
      "ngc_org_name": "string",
      "org_is_banned": true,
      "simulation_uuid": "string",
      "sim_cpu": 1,
      "sim_memory": 1,
      "sim_storage": 1,
      "sim_compute_hours_rate": 1.1,
      "sim_compute_hours_consumed": 1.1,
      "sim_compute_hours_consumed_for_period": 1.1,
      "billing_started_at": "2024-01-15T09:30:00Z",
      "sim_name": "string",
      "sim_creator": "string",
      "sim_owner": "string",
      "run_id": "string",
      "billing_ended_at": "2024-01-15T09:30:00Z",
      "fleet_id": "string",
      "fleet_name": "string"
    }
  ],
  "next": "http://api.example.org/accounts/?offset=400&limit=100",
  "previous": "http://api.example.org/accounts/?offset=200&limit=100"
}
```

**SDK Code**

```python
import requests

url = "https://api.dsx-air.nvidia.com/api/v3/billing-records/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.dsx-air.nvidia.com/api/v3/billing-records/';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.dsx-air.nvidia.com/api/v3/billing-records/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.dsx-air.nvidia.com/api/v3/billing-records/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.dsx-air.nvidia.com/api/v3/billing-records/")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.dsx-air.nvidia.com/api/v3/billing-records/', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.dsx-air.nvidia.com/api/v3/billing-records/");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.dsx-air.nvidia.com/api/v3/billing-records/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```